---
references:
- id: AfsharReflection2015
  author:
    - family: Afshar
      given: Hadi Mohasel
    - family: Domke
      given: Justin
  citation-key: AfsharReflection2015
  issued:
    - year: 2015
  language: en
  page: '9'
  title: Reﬂection, Refraction, and Hamiltonian Monte Carlo
  type: article-journal

- id: BalesSelecting2019
  accessed:
    - year: 2019
      month: 6
      day: 3
  author:
    - family: Bales
      given: Ben
    - family: Pourzanjani
      given: Arya
    - family: Vehtari
      given: Aki
    - family: Petzold
      given: Linda
  citation-key: BalesSelecting2019
  container-title: arXiv:1905.11916 [stat]
  issued:
    - year: 2019
      month: 5
      day: 28
  title: Selecting the Metric in Hamiltonian Monte Carlo
  type: article-journal
  URL: http://arxiv.org/abs/1905.11916

- id: BetancourtConceptual2017
  accessed:
    - year: 2018
      month: 7
      day: 17
  author:
    - family: Betancourt
      given: Michael
  citation-key: BetancourtConceptual2017
  container-title: arXiv:1701.02434 [stat]
  issued:
    - year: 2017
      month: 1
      day: 9
  title: A Conceptual Introduction to Hamiltonian Monte Carlo
  type: article-journal
  URL: http://arxiv.org/abs/1701.02434

- id: BetancourtConvergence2018
  accessed:
    - year: 2018
      month: 1
      day: 8
  author:
    - family: Betancourt
      given: Michael
  citation-key: BetancourtConvergence2018
  container-title: Annalen der Physik
  DOI: 10.1002/andp.201700214
  ISSN: '00033804'
  issued:
    - year: 2018
      month: 3
      day: 23
  title: >-
    The Convergence of Markov chain Monte Carlo Methods: From the Metropolis
    method to Hamiltonian Monte Carlo
  type: article-journal
  URL: http://arxiv.org/abs/1706.01520

- id: BetancourtGeometric2017
  accessed:
    - year: 2017
      month: 11
      day: 27
  author:
    - family: Betancourt
      given: Michael
    - family: Byrne
      given: Simon
    - family: Livingstone
      given: Sam
    - family: Girolami
      given: Mark
  citation-key: BetancourtGeometric2017
  container-title: Bernoulli
  container-title-short: Bernoulli
  DOI: 10.3150/16-BEJ810
  ISSN: 1350-7265
  issue: 4A
  issued:
    - year: 2017
      month: 11
      day: 1
  language: EN
  page: 2257-2298
  title: The geometric foundations of Hamiltonian Monte Carlo
  type: article-journal
  volume: '23'

- id: CarpenterStan2015
  accessed:
    - year: 2016
      month: 7
      day: 3
  author:
    - family: Carpenter
      given: Bob
    - family: Hoffman
      given: Matthew D.
    - family: Brubaker
      given: Marcus
    - family: Lee
      given: Daniel
    - family: Li
      given: Peter
    - family: Betancourt
      given: Michael
  citation-key: CarpenterStan2015
  container-title: arXiv preprint arXiv:1509.07164
  issued:
    - year: 2015
  title: 'The Stan Math Library: Reverse-Mode Automatic Differentiation in C++'
  type: article-journal
  URL: http://arxiv.org/abs/1509.07164

- id: CateriniHamiltonian2018
  accessed:
    - year: 2019
      month: 10
      day: 2
  author:
    - family: Caterini
      given: Anthony L.
    - family: Doucet
      given: Arnaud
    - family: Sejdinovic
      given: Dino
  citation-key: CateriniHamiltonian2018
  container-title: Advances in neural information processing systems
  issued:
    - year: 2018
      month: 5
      day: 29
  language: en
  title: Hamiltonian Variational Auto-Encoder
  type: paper-conference
  URL: http://arxiv.org/abs/1805.11328

- id: DaiLearning2020
  author:
    - family: Dai
      given: Hanjun
    - family: Singh
      given: Rishabh
    - family: Dai
      given: Bo
    - family: Sutton
      given: Charles
    - family: Schuurmans
      given: Dale
  citation-key: DaiLearning2020
  issued:
    - year: 2020
  language: en
  page: '13'
  title: >-
    Learning Discrete Energy-based Models via Auxiliary-variable Local
    Exploration
  type: article-journal

- id: DevlinNoUTurn2021
  author:
    - family: Devlin
      given: Lee
    - family: Horridge
      given: Paul
    - family: Green
      given: Peter L
    - family: Maskell
      given: Simon
  citation-key: DevlinNoUTurn2021
  issued:
    - year: 2021
  language: en
  page: '5'
  title: >-
    The No-U-Turn Sampler as a Proposal Distribution in a Sequential Monte Carlo
    Sampler with a Near-Optimal L-Kernel
  type: article-journal

- id: DurmusHighdimensional2016
  accessed:
    - year: 2018
      month: 7
      day: 10
  author:
    - family: Durmus
      given: Alain
    - family: Moulines
      given: Eric
  citation-key: DurmusHighdimensional2016
  container-title: arXiv:1605.01559 [math, stat]
  issued:
    - year: 2016
      month: 5
      day: 5
  title: High-dimensional Bayesian inference via the Unadjusted Langevin Algorithm
  type: article-journal
  URL: http://arxiv.org/abs/1605.01559

- id: GirolamiRiemann2011
  accessed:
    - year: 2017
      month: 11
      day: 27
  author:
    - family: Girolami
      given: Mark
    - family: Calderhead
      given: Ben
  citation-key: GirolamiRiemann2011
  container-title: 'Journal of the Royal Statistical Society: Series B (Statistical Methodology)'
  DOI: 10.1111/j.1467-9868.2010.00765.x
  ISSN: 1467-9868
  issue: '2'
  issued:
    - year: 2011
      month: 3
      day: 1
  language: en
  page: 123-214
  title: Riemann manifold Langevin and Hamiltonian Monte Carlo methods
  type: article-journal
  URL: >-
    http://andrewgelman.com/wp-content/uploads/2010/04/RMHMC_MG_BC_SC_REV_08_04_10.pdf
  volume: '73'

- id: GoodrichStan2017
  author:
    - family: Goodrich
      given: Ben
    - family: Gelman
      given: Andrew
    - family: Hoffman
      given: Matthew D.
    - family: Lee
      given: Daniel
    - family: Carpenter
      given: Bob
    - family: Betancourt
      given: Michael
    - family: Brubaker
      given: Marcus
    - family: Guo
      given: Jiqiang
    - family: Li
      given: Peter
    - family: Riddell
      given: Allen
  citation-key: GoodrichStan2017
  container-title: Journal of Statistical Software
  container-title-short: J. Stat. Soft.
  DOI: 10.18637/jss.v076.i01
  ISSN: 1548-7660
  issue: '1'
  issued:
    - year: 2017
  language: en
  title: 'Stan : A Probabilistic Programming Language'
  type: article-journal
  URL: http://www.jstatsoft.org/v76/i01/
  volume: '76'

- id: HoffmanNoUTurn2011
  author:
    - family: Hoffman
      given: M D
    - family: Gelman
      given: A
  citation-key: HoffmanNoUTurn2011
  container-title: Arxiv preprint arXiv:1111.4246
  issued:
    - year: 2011
  title: >-
    The No-U-Turn sampler: adaptively setting path lengths in Hamiltonian Monte
    Carlo
  type: article-journal

- id: LiuGradientGuided2021
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Liu
      given: Meng
    - family: Liu
      given: Haoran
    - family: Ji
      given: Shuiwang
  citation-key: LiuGradientGuided2021
  issued:
    - year: 2021
      month: 11
      day: 20
  language: en
  title: >-
    Gradient-Guided Importance Sampling for Learning Discrete Energy-Based
    Models
  type: article-journal
  URL: https://openreview.net/forum?id=IEKL-OihqX0

- id: MaComplete2015
  accessed:
    - year: 2021
      month: 8
      day: 4
  author:
    - family: Ma
      given: Yi-An
    - family: Chen
      given: Tianqi
    - family: Fox
      given: Emily B.
  citation-key: MaComplete2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 2
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
      month: 12
      day: 7
  page: 2917–2925
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: A complete recipe for stochastic gradient MCMC
  type: paper-conference
  URL: http://arxiv.org/abs/1506.04696

- id: MangoubiRapid2017
  accessed:
    - year: 2019
      month: 7
      day: 16
  author:
    - family: Mangoubi
      given: Oren
    - family: Smith
      given: Aaron
  citation-key: MangoubiRapid2017
  container-title: arXiv:1708.07114 [math, stat]
  issued:
    - year: 2017
      month: 8
      day: 23
  title: >-
    Rapid Mixing of Hamiltonian Monte Carlo on Strongly Log-Concave
    Distributions
  type: article-journal
  URL: http://arxiv.org/abs/1708.07114

- id: MargossianHamiltonian2020
  accessed:
    - year: 2022
      month: 1
      day: 26
  author:
    - family: Margossian
      given: Charles C.
    - family: Vehtari
      given: Aki
    - family: Simpson
      given: Daniel
    - family: Agrawal
      given: Raj
  citation-key: MargossianHamiltonian2020
  container-title: arXiv:2004.12550 [stat]
  issued:
    - year: 2020
      month: 10
      day: 25
  title: >-
    Hamiltonian Monte Carlo using an adjoint-differentiated Laplace
    approximation: Bayesian inference for latent Gaussian models and beyond
  type: article-journal
  URL: http://arxiv.org/abs/2004.12550

- id: MototakeConservation2019
  author:
    - family: Mototake
      given: Yoh-ichi
  citation-key: MototakeConservation2019
  container-title: >-
    Machine Learning and the Physical Sciences  Workshop at the 33rd Conference
    on Neural Information Processing Systems (NeurIPS)
  issued:
    - year: 2019
  language: en
  page: '8'
  title: >-
    Conservation Law Estimation by Extracting the Symmetry of a Dynamical System
    Using a Deep Neural Network
  type: paper-conference

- id: NealMCMC2011
  author:
    - family: Neal
      given: Radford M.
  call-number: QA274.7 .H346 2011
  citation-key: NealMCMC2011
  container-title: Handbook for Markov chain Monte Carlo
  editor:
    - family: Brooks
      given: Steve
    - family: Gelman
      given: Andrew
    - family: Jones
      given: Galin L.
    - family: Meng
      given: Xiao-Li
  event-place: Boca Raton
  ISBN: 978-1-4200-7941-8
  issued:
    - year: 2011
  publisher: Taylor & Francis
  publisher-place: Boca Raton
  title: MCMC using Hamiltonian dynamics
  type: chapter
  URL: http://arxiv.org/abs/1206.1901

- id: NishimuraDiscontinuous2020
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Nishimura
      given: Akihiko
    - family: Dunson
      given: David B
    - family: Lu
      given: Jianfeng
  citation-key: NishimuraDiscontinuous2020
  container-title: Biometrika
  container-title-short: Biometrika
  DOI: 10.1093/biomet/asz083
  ISSN: 0006-3444
  issue: '2'
  issued:
    - year: 2020
      month: 6
      day: 1
  page: 365-380
  title: >-
    Discontinuous Hamiltonian Monte Carlo for discrete parameters and
    discontinuous likelihoods
  type: article-journal
  volume: '107'

- id: NortonTuning2016
  accessed:
    - year: 2016
      month: 10
      day: 5
  author:
    - family: Norton
      given: Richard A.
    - family: Fox
      given: Colin
  citation-key: NortonTuning2016
  container-title: arXiv:1610.00781 [math, stat]
  issued:
    - year: 2016
      month: 10
      day: 3
  title: >-
    Tuning of MCMC with Langevin, Hamiltonian, and other stochastic
    autoregressive proposals
  type: article-journal
  URL: http://arxiv.org/abs/1610.00781

- id: RobertAccelerating2018
  accessed:
    - year: 2020
      month: 4
      day: 28
  author:
    - family: Robert
      given: Christian P.
    - family: Elvira
      given: Víctor
    - family: Tawn
      given: Nick
    - family: Wu
      given: Changye
  citation-key: RobertAccelerating2018
  container-title: WIREs Computational Statistics
  DOI: 10.1002/wics.1435
  ISSN: 1939-0068
  issue: '5'
  issued:
    - year: 2018
  language: en
  number: '5'
  page: e1435
  title: Accelerating MCMC algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1804.02719
  volume: '10'

- id: SansoneLSB2022
  accessed:
    - year: 2022
      month: 11
      day: 24
  author:
    - family: Sansone
      given: Emanuele
  citation-key: SansoneLSB2022
  container-title: Proceedings of the 39th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2022
      month: 6
      day: 28
  language: en
  page: 19205-19220
  publisher: PMLR
  title: 'LSB: Local Self-Balancing MCMC in Discrete Spaces'
  type: paper-conference
  URL: https://proceedings.mlr.press/v162/sansone22a.html

- id: StrathmannGradientfree2015
  accessed:
    - year: 2020
      month: 4
      day: 29
  author:
    - family: Strathmann
      given: Heiko
    - family: Sejdinovic
      given: Dino
    - family: Livingstone
      given: Samuel
    - family: Szabo
      given: Zoltan
    - family: Gretton
      given: Arthur
  citation-key: StrathmannGradientfree2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 1
  event-place: Montreal, Canada
  issued:
    - year: 2015
      month: 12
      day: 7
  page: 955–963
  publisher: MIT Press
  publisher-place: Montreal, Canada
  title: >-
    Gradient-free Hamiltonian Monte Carlo with efficient kernel exponential
    families
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02564

- id: vandeMeentIntroduction2021
  accessed:
    - year: 2021
      month: 10
      day: 20
  author:
    - family: Meent
      given: Jan-Willem
      non-dropping-particle: van de
    - family: Paige
      given: Brooks
    - family: Yang
      given: Hongseok
    - family: Wood
      given: Frank
  citation-key: vandeMeentIntroduction2021
  container-title: arXiv:1809.10756 [cs, stat]
  issued:
    - year: 2021
      month: 10
      day: 19
  title: An Introduction to Probabilistic Programming
  type: article-journal
  URL: http://arxiv.org/abs/1809.10756

- id: XifaraLangevin2014
  accessed:
    - year: 2017
      month: 11
      day: 27
  author:
    - family: Xifara
      given: T.
    - family: Sherlock
      given: C.
    - family: Livingstone
      given: S.
    - family: Byrne
      given: S.
    - family: Girolami
      given: M.
  citation-key: XifaraLangevin2014
  container-title: Statistics & Probability Letters
  container-title-short: Statistics & Probability Letters
  DOI: 10.1016/j.spl.2014.04.002
  ISSN: 0167-7152
  issue: Supplement C
  issued:
    - year: 2014
      month: 8
      day: 1
  page: 14-19
  title: Langevin diffusions and the Metropolis-adjusted Langevin algorithm
  type: article-journal
  URL: http://arxiv.org/abs/1309.2983
  volume: '91'

- id: XuAdvancedHMC2019
  accessed:
    - year: 2020
      month: 1
      day: 27
  author:
    - family: Xu
      given: Kai
    - family: Ge
      given: Hong
    - family: Tebbutt
      given: Will
    - family: Tarek
      given: Mohamed
    - family: Trapp
      given: Martin
    - family: Ghahramani
      given: Zoubin
  citation-key: XuAdvancedHMC2019
  issued:
    - year: 2019
      month: 10
      day: 16
  title: >-
    AdvancedHMC.jl: A robust, modular and efficient implementation of advanced
    HMC algorithms
  type: article-journal
  URL: https://openreview.net/forum?id=rJgzckn4tH
...
